# Uses of Interface
org.opensaml.xmlsec.signature.Transforms

Packages that use Transforms
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of Transforms in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return Transforms
Modifier and Type
Method
Description
`Transforms`
RetrievalMethod.`getTransforms()`
Get the Transforms child element.
Methods in org.opensaml.xmlsec.signature with parameters of type Transforms
Modifier and Type
Method
Description
`void`
RetrievalMethod.`setTransforms(Transforms newTransforms)`
Set the Transforms child element.

## Uses of Transforms in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement Transforms
Modifier and Type
Class
Description
`class`
`TransformsImpl`
Concrete implementation of `Transforms`.
Fields in org.opensaml.xmlsec.signature.impl declared as Transforms
Modifier and Type
Field
Description
`private Transforms`
RetrievalMethodImpl.`transforms`
Transforms attribute value.
Methods in org.opensaml.xmlsec.signature.impl that return Transforms
Modifier and Type
Method
Description
`Transforms`
TransformsBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`Transforms`
TransformsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Transforms`
RetrievalMethodImpl.`getTransforms()`
Get the Transforms child element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type Transforms
Modifier and Type
Method
Description
`void`
RetrievalMethodImpl.`setTransforms(Transforms newTransforms)`
Set the Transforms child element.